image: eclipse-temurin:11.0.16_8-jdk

cache:
  key: "$CI_BUILD_REF_NAME"
  paths:
    - .gradle/*

variables:
    GRADLE_USER_HOME: .gradle


asciidoctor:
  script:
    - ./gradlew clean asciidoctor asciidoctorpdf --no-daemon
  artifacts:
    paths:
      - article/build/docs/asciidocPdf/index.pdf
      - article/build/docs/asciidoc
    expire_in: 7 day

pages:
 script:
 - ./gradlew clean asciidoctor copyHtml --no-daemon
 - mkdir .gzipped
 - cp -r public/* .gzipped
 - gzip -r .gzipped
 - cp -r .gzipped/* public
 artifacts:
   paths:
   - public


